cURL
curl --request PATCH \
--url https://sandbox.withclasp.com/beneficiaries/{public_id} \
--header 'Content-Type: application/json' \
--data '
{
"full_name": "<string>",
"dob": "2023-12-25",
"member": "<string>",
"tin": "<string>",
"phone_number": "<string>"
}
'import requests
url = "https://sandbox.withclasp.com/beneficiaries/{public_id}"
payload = {
"full_name": "<string>",
"dob": "2023-12-25",
"member": "<string>",
"tin": "<string>",
"phone_number": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
full_name: '<string>',
dob: '2023-12-25',
member: '<string>',
tin: '<string>',
phone_number: '<string>'
})
};
fetch('https://sandbox.withclasp.com/beneficiaries/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"full_name": "<string>",
"member": "<string>",
"tin_last_four": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"zip_code": "<string>",
"line2": "<string>"
},
"phone_number": "<string>",
"dob": "2023-12-25"
}Beneficiaries
Update Beneficiary
PATCH
/
beneficiaries
/
{public_id}
cURL
Path Parameters
Body
application/json
Maximum string length:
255spouse- Spousechild- Childparent- Parentsibling- Siblingfriend- Friendtrust- Trustorganization- Organizationestate- Estate
Available options:
spouse, child, parent, sibling, friend, trust, organization, estate Pattern:
\d{9}Show child attributes
Show child attributes
Maximum string length:
10Response
200 - application/json
Pattern:
^[-a-zA-Z0-9_]+$Maximum string length:
255spouse- Spousechild- Childparent- Parentsibling- Siblingfriend- Friendtrust- Trustorganization- Organizationestate- Estate
Available options:
spouse, child, parent, sibling, friend, trust, organization, estate Show child attributes
Show child attributes
Maximum string length:
10⌘I